> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.trysend.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.trysend.com/_mcp/server.

# Retrieve a parcel customer

GET https://api.trysend.com/v1/parcel-customers/{id}

Reference: https://docs.trysend.com/api-reference/send-parcels-api/parcel-customers/get-parcel-customer

## Authentication

- `X-Api-Key` header (required)

## Request

### Path parameters

- `id` (string, required) — Parcel customer token

## Response

### 200

OK

- `status` (string, optional)
- `message` (string, optional)
- `data` (object, optional) — Sender profile for a parcel customer. Reusable across quotes and bookings.
  - `parcel_customer_id` (string, optional) — Internal token for this customer
  - `first_name` (string, optional, nullable)
  - `last_name` (string, optional, nullable)
  - `email` (string, optional, nullable)
  - `mobile` (string, optional, nullable)
  - `address_suffix` (string, optional) — Unique customer ID (e.g. ACME-001)
  - `full_name` (string, optional)
  - `status` (enum, optional)
    - Allowed values: `active`, `inactive`
  - `mode` (enum, optional)
    - Allowed values: `test`, `live`
  - `origin_address` (string, optional, nullable)
  - `origin_city` (string, optional, nullable)
  - `origin_zip_code` (string, optional, nullable)
  - `origin_state` (string, optional, nullable)
  - `origin_country` (string, optional, nullable)
  - `created_at` (datetime, optional)

## Examples

**Response**

```json
{
  "status": "string",
  "message": "string",
  "data": {
    "parcel_customer_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "string",
    "mobile": "string",
    "address_suffix": "string",
    "full_name": "string",
    "status": "active",
    "mode": "test",
    "origin_address": "string",
    "origin_city": "string",
    "origin_zip_code": "string",
    "origin_state": "string",
    "origin_country": "string",
    "created_at": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.trysend.com/v1/parcel-customers/abc123token"

headers = {"X-Api-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.trysend.com/v1/parcel-customers/abc123token")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```